std::back_insert_iterator< pqxx::tablewriter > Class Template Reference

`#include <tablewriter.hxx>`

Inheritance diagram for std::back_insert_iterator< pqxx::tablewriter >:

## Public Member Functions

| back_insert_iterator (pqxx::tablewriter &W) throw ()
back_insert_iterator & | operator= (const back_insert_iterator &rhs) throw ()
template<typename TUPLE >
back_insert_iterator & | operator= (const TUPLE &T)
back_insert_iterator & | operator++ ()
back_insert_iterator & | operator++ (int)
back_insert_iterator & | operator* ()

## Constructor & Destructor Documentation

## back_insert_iterator()

std::back_insert_iterator< pqxx::tablewriter >::back_insert_iterator | ( | pqxx::tablewriter & | W | ) |
throw | ( |
| ) |  |

explicit

## Member Function Documentation

## operator*()

back_insert_iterator& std::back_insert_iterator< pqxx::tablewriter >::operator* | ( |  | ) |

## operator++() [1/2]

back_insert_iterator& std::back_insert_iterator< pqxx::tablewriter >::operator++ | ( |  | ) |

## operator++() [2/2]

back_insert_iterator& std::back_insert_iterator< pqxx::tablewriter >::operator++ | ( | int |  | ) |

## operator=() [1/2]

back_insert_iterator& std::back_insert_iterator< pqxx::tablewriter >::operator= | ( | const back_insert_iterator< pqxx::tablewriter > & | rhs | ) |
throw | ( |
| ) |  |

## operator=() [2/2]

template<typename TUPLE >

back_insert_iterator& std::back_insert_iterator< pqxx::tablewriter >::operator= | ( | const TUPLE & | T | ) |

The documentation for this class was generated from the following file:

- tablewriter.hxx